%define version 0.0.1
%define release 0.beta28
%define name smeserver-expire-accounts


Summary: Second qmail instance
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRequires: gettext

Requires: e-smith-base >= 5.2.0
Requires: qmail
Requires: qmail-autoresponder
Requires: perl(DateTime)
Requires: pbzip2
Requires: /bin/tar

%description
With this, you can set an expiration date for user accounts

%changelog
* Thu Jan 14 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1.sme
- Initial release

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
/sbin/e-smith/generate-lexicons
%{__mkdir_p} root/home/e-smith/files/archives/users
%if 0%{?rhel} <= 5
%{__mkdir_p} root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/
mv root/usr/share/perl5/vendor_perl/esmith/FormMagick/Panel/expireaccounts.pm \
  root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/
%endif

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir home/e-smith/files/archives/users 'attr(0750,root,root)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

